package com.example.punyaria;

public class User {
    private String username;
    private String nama;
    private String telepon;
    private String tanggalLahir;
    private String jenisKelamin;
    private String alamat;
    private String password;
    private String email;

    private String profileImageUrl;

    public User() {
        // Diperlukan untuk Firebase
    }

    public User(String username, String telepon, String tanggalLahir, String jenisKelamin, String alamat, String password) {
        this.username = username;
        this.telepon = telepon;
        this.tanggalLahir = tanggalLahir;
        this.jenisKelamin = jenisKelamin;
        this.alamat = alamat;
        this.password = password;
    }

    public String getUsername() {
        return username;
    }

    public String getNama() {
        return nama;
    }

    public String getTelepon() {
        return telepon;
    }

    public String getTanggalLahir() {
        return tanggalLahir;
    }

    public String getJenisKelamin() {
        return jenisKelamin;
    }

    public String getAlamat() {
        return alamat;
    }

    public String getEmail() {
        return email;
    }

    public String getPassword() {
        return password;
    }

    public String getProfileImageUrl() {
        return profileImageUrl;
    }

    public void setProfileImageUrl(String profileImageUrl) {
        this.profileImageUrl = profileImageUrl;
    }
}
